package com.xkrs.model.qo;

import com.xkrs.model.validation.SpecQoInsert;

import javax.validation.constraints.NotBlank;

public class SpecQo {

    /**
     * 机种号
     */
    @NotBlank(message = "{SpecEntity.machineTypeNo.blank}", groups = {SpecQoInsert.class})
    private String machineTypeNo;

    /**
     * 检验项代码
     */
    @NotBlank(message = "{SpecEntity.inspectionItemCode.blank}", groups = {SpecQoInsert.class})
    private String inspectionItemCode;

    /**
     * 工艺项目名称
     */
    @NotBlank(message = "{SpecEntity.craftItemName.blank}", groups = {SpecQoInsert.class})
    private String craftItemName;

    /**
     * 最大值
     */
    @NotBlank(message = "{SpecEntity.max.blank}", groups = {SpecQoInsert.class})
    private String max;

    /**
     * 平均值
     */
    @NotBlank(message = "{SpecEntity.mean.blank}", groups = {SpecQoInsert.class})
    private String mean;

    /**
     * 最小值
     */
    @NotBlank(message = "{SpecEntity.min.blank}", groups = {SpecQoInsert.class})
    private String min;

    /**
     * 单位
     */
    @NotBlank(message = "{SpecEntity.unit.blank}", groups = {SpecQoInsert.class})
    private String unit;

    /**
     * 检验方法
     */
    @NotBlank(message = "{SpecEntity.inspectionMethod.blank}", groups = {SpecQoInsert.class})
    private String inspectionMethod;

    /**
     * 检验标准
     */
    @NotBlank(message = "{SpecEntity.inspectionStandard.blank}", groups = {SpecQoInsert.class})
    private String inspectionStandard;

    /**
     * 备注
     */
    private String remark;

    public SpecQo() {
    }

    public String getMachineTypeNo() {
        return machineTypeNo;
    }

    public void setMachineTypeNo(String machineTypeNo) {
        this.machineTypeNo = machineTypeNo;
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getCraftItemName() {
        return craftItemName;
    }

    public void setCraftItemName(String craftItemName) {
        this.craftItemName = craftItemName;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getMean() {
        return mean;
    }

    public void setMean(String mean) {
        this.mean = mean;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getInspectionMethod() {
        return inspectionMethod;
    }

    public void setInspectionMethod(String inspectionMethod) {
        this.inspectionMethod = inspectionMethod;
    }

    public String getInspectionStandard() {
        return inspectionStandard;
    }

    public void setInspectionStandard(String inspectionStandard) {
        this.inspectionStandard = inspectionStandard;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
