package com.xkrs.newpro.dao;

import com.xkrs.newpro.model.entity.QcSpecEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public interface QcSpecDao extends JpaRepository<QcSpecEntity, Integer>, JpaSpecificationExecutor<QcSpecEntity> {

    Optional<QcSpecEntity> findByVarietyNoAndQcItemNo(String varietyNo, String qcItemNo);

    /**
     * 更新质检规格
     */
    void updateQcSpecById(Integer id, String max, String mean, String min, String unit, String method, String standard, String remark);

}